Skip to content

Links

Links let you attach external URLs to ideas — reference material, GitHub issues, design documents, or any relevant resource.

GET /api/v1/ideas/:id/links

Returns all links attached to the specified idea.

Terminal window
curl https://neuralrepo.com/api/v1/ideas/42/links \
-H "X-API-Key: nrp_YOUR_KEY"

Response 200 OK

[
{
"id": 1,
"url": "https://github.com/org/repo/issues/42",
"title": "GitHub Issue #42",
"link_type": "github-issue",
"created_at": "2026-03-20T10:00:00Z"
}
]

POST /api/v1/ideas/:id/links

FieldTypeRequiredDescription
urlstringYesValid URL, max 2,000 characters
titlestringNoDisplay title, max 200 characters
link_typestringNoType of link (default: url)
Terminal window
curl -X POST https://neuralrepo.com/api/v1/ideas/42/links \
-H "X-API-Key: nrp_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"url": "https://github.com/org/repo",
"title": "Project repository",
"link_type": "github-repo"
}'

Response 201 Created

{
"id": 2,
"url": "https://github.com/org/repo",
"title": "Project repository",
"link_type": "github-repo",
"created_at": "2026-03-24T09:00:00Z"
}

DELETE /api/v1/ideas/:id/links/:linkId

Removes a link from an idea.

Terminal window
curl -X DELETE https://neuralrepo.com/api/v1/ideas/42/links/2 \
-H "X-API-Key: nrp_YOUR_KEY"

Response 204 No Content

The link_type field uses one of these enumerated values:

TypeDescription
urlGeneral web link (default)
claude-chatClaude conversation link
github-repoGitHub repository
github-issueGitHub issue or PR
attachmentFile attachment uploaded via web
FieldTypeDescription
idnumberUnique link identifier
urlstringThe linked URL
titlestring | nullDisplay title
link_typestringCategorization of the link
created_atstringISO 8601 timestamp
StatusMeaning
200 OKLinks listed
201 CreatedLink added
204 No ContentLink deleted
400 Bad RequestInvalid URL or title too long
401 UnauthorizedMissing or invalid auth
404 Not FoundIdea or link not found